Skip to main content
POST
/
api
/
v1
/
conversations
Ingest Conversation
curl --request POST \
  --url https://api.example.com/api/v1/conversations \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "space_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "messages": [
    {
      "role": "<string>",
      "content": "<string>"
    }
  ],
  "session_id": "<string>",
  "session_date": "<string>",
  "meta": {}
}
'
{
  "job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "source_ids": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ],
  "status": "pending"
}

Documentation Index

Fetch the complete documentation index at: https://docs.crosmos.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT access token or API key (csk_…)

Body

application/json
space_id
string<uuid>
required

Memory space to ingest into

messages
ConversationMessage · object[]
required

Ordered conversation messages

Required array length: 1 - 500 elements
session_id
string | null

Session identifier. Auto-generated if not provided.

session_date
string | null

ISO date string for when the session occurred

meta
Meta · object

Optional metadata attached to all created sources

Response

Successful Response

job_id
string<uuid>
required
source_ids
string<uuid>[]
required
status
string
default:pending